﻿@model GarageMaster.Models.AdsSection.AdsModels.AdEditAdminModel

@{
    ViewData["Title"] = "EditAdAdmin";
}

<h1>EditAdAdmin</h1>

<h4>AdEditAdminModel</h4>
<hr />
<div class="row">
    <form asp-action="EditAdAdmin" method="post">
        <div class="col-md-5">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="AdCategoryId" class="control-label"></label>
                <select asp-for="AdCategoryId" class="form-control" asp-items="Model.AdCategoriesSelect">
                    <option></option>
                </select>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <textarea asp-for="Content" class="form-control" id="newAdCreate"></textarea>
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <input type="hidden" asp-for="Id" class="form-control" />
                <input type="hidden" asp-for="DateOfPublication" class="form-control" />
                <input type="hidden" asp-for="PickUpDate" class="form-control" />
                <input type="hidden" asp-for="UserId" class="form-control" />
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="DiscardPickUpDate">
                <label class="form-check-label" asp-for="DiscardPickUpDate"></label>
                <span asp-validation-for="DiscardPickUpDate" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>
<hr/>
<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newAdCreate');
        });
    </script>
}
